Skip to navigation

Bug Fix Advisory New packages: java-1.4.2-ibm-sap

Advisory: RHBA-2010:0530-1
Type: Bug Fix Advisory
Severity: N/A
Issued on: 2010-07-14
Last updated on: 2010-07-14
Affected Products: Red Hat Enterprise Linux for SAP

Details

New java-1.4.2-ibm-sap packages that comprise IBM's 1.4.2 SDK release are
now available for Red Hat Enterprise Linux Advanced Platform for SAP. These
updated packages replace the previous java-1.4.2-ibm packages for Red Hat
Enterprise Linux Advanced Platform for SAP and address a naming problem
that prevented them from being installed alongside the java-1.4.2-ibm packages
from the Red Hat Enterprise Linux Extras channel.

IBM Java releases include the IBM Java 2 Runtime Environment (JRE) and the
IBM Java 2 Software Development Kit (SDK). The java-1.4.2-ibm-sap packages
provide the Java 2 Runtime Environment (JRE), which consists of the Java
virtual machine, the Java platform core classes and supporting files. It is
the runtime section of the Java 2 SDK, but without the development tools
such as compilers and debuggers. These packages also provide the Java 2
Software Development Kit (SDK), which is a development environment for
building applications, applets, and components that can be deployed on the
Java platform. The Java 2 SDK software includes tools useful for developing
and testing programs written in the Java programming language.

The java-1.4.2-ibm-sap release, comprising IBM's Java 1.4.2, include the
following individual packages:

* java-1.4.2-ibm-sap

* java-1.4.2-ibm-sap-demo

* java-1.4.2-ibm-sap-devel

* java-1.4.2-ibm-sap-javacomm

* java-1.4.2-ibm-sap-src

This update addresses the following issue:

* because of a naming overlap, the previous java-1.4.2-ibm packages for Red
Hat Enterprise Linux for SAP -- released as RHEA-2009:1195 -- could not be
installed alongside the java-1.4.2-ibm packages from the Red Hat Enterprise
Linux Extras channel. These updated packages address the naming overlap and,
consequently, can be installed alongside the java-1.4.2-ibm packages from the
Red Hat Enterprise Linux Extras channel. (BZ#610477)

Important: these replacement packages do not obsolete the previous
java-1.4.2-ibm packages for Red Hat Enterprise Linux for SAP. If the
previously-released java-1.4.2-ibm packages for Red Hat Enterprise Linux
Advanced Platform for SAP are installed on your system, they must be
manually uninstalled before installing these replacement packages.

As noted above, these updated packages can be installed alongside the
java-1.4.2-ibm packages from the Red Hat Enterprise Linux Extras channel. Once
so installed, the "alternatives" tool allows the root user to switch between the
normal and SAP-specific JVM and Java compiler:

alternatives --config java

alternatives --config javac

This was not, of course, possible with the previous java-1.4.2-ibm packages for
Red Hat Enterprise Linux for SAP.

SAP users who require IBM Java 1.4.2 packages for SAP, and who have already
uninstalled any previous java-1.4.2-ibm packages for Red Hat Enterprise
Linux for SAP from their system, may install these new SAP-specific
packages, which provide the IBM JRE and IBM Java SDK.


Solution

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

Updated packages

Red Hat Enterprise Linux for SAP

x86_64:
java-1.4.2-ibm-sap-1.4.2.13.4.sap-1jpp.3.el4_8.x86_64.rpm
File outdated by:  RHSA-2012:0343
    MD5: 607f1cf25c4d8f3527237a0a519cf4f2
SHA-256: 400d68b39fe6190786524d76f22f6373cd0e33c9f2d031f444367919f518f8a6
java-1.4.2-ibm-sap-demo-1.4.2.13.4.sap-1jpp.3.el4_8.x86_64.rpm
File outdated by:  RHSA-2012:0343
    MD5: e6af308daf0453da8ccc605821b34da4
SHA-256: a84a6b3278ee62bdb34925ce650b1fc616489f66b674ab5920823e1e8cd4a6e8
java-1.4.2-ibm-sap-devel-1.4.2.13.4.sap-1jpp.3.el4_8.x86_64.rpm
File outdated by:  RHSA-2012:0343
    MD5: ff51a05e637d662338212252f7ed8027
SHA-256: fcbe51b1462a2e16d67b55572fa1471f209b5b5656430d467faaf1f34e5bc30c
java-1.4.2-ibm-sap-javacomm-1.4.2.13.4.sap-1jpp.3.el4_8.x86_64.rpm
File outdated by:  RHSA-2012:0343
    MD5: d15044a5225a6e64a7b31a2115aafa22
SHA-256: 306f22605d07f7a085623763da3bd3d3ccc65e13bae8fa0e289aea4846e5db42
java-1.4.2-ibm-sap-src-1.4.2.13.4.sap-1jpp.3.el4_8.x86_64.rpm
File outdated by:  RHSA-2012:0343
    MD5: 07f266fd86cd11c91f08575fcfdf20d4
SHA-256: 725ee37d3ae919c4628c3d4ab18f9c0f4a5cd1ec23185019c506f53a52bbca02
 
(The unlinked packages above are only available from the Red Hat Network)


These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/